Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HObject

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HObject

Direct Known Subclasses:
  HActivityRecovery, HBpelEvent, HCorrelationProperty, HCorrelationSet, HCorrelator, HCorrelatorMessage, HCorrelatorMessageKey, HCorrelatorSelector, HFaultData, HLargeData, HMessage, HMessageExchange, HPartnerLink, HProcess, HProcessInstance, HScope, HVariableProperty, HXmlData

    public class HObject

extends java.lang.Object

Base class for Hibernate objects providing auto-generated key, create timestamp and lock fields.

Constructor Summary
`HObject()` Constructor.

Method Summary
`java.util.Date` | `getCreated()` Auto-gnerated creation timestamp.
`java.lang.Long` | `getId()` Auto-generated primary key.
`int` | `getLock()`
`void` | `setCreated(java.util.Date created)`
`void` | `setId(java.lang.Long id)`
`void` | `setLock(int lock)`
`static java.lang.Object[]` | `toIdArray(java.util.Collection<? extends HObject> objects)`
`static
`<T extends HObject> java.lang.Object[]`
` | `toIdArray(T[] objects)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HObject

    public HObject()

  Constructor.

Method Detail

### getCreated

    public java.util.Date getCreated()

  Auto-gnerated creation timestamp.

### setCreated

    public void setCreated(java.util.Date created)

### getId

    public java.lang.Long getId()

  Auto-generated primary key.

### setId

    public void setId(java.lang.Long id)

### getLock

    public int getLock()

### setLock

    public void setLock(int lock)

### toIdArray

    public static <T extends HObject> java.lang.Object[] toIdArray(T[] objects)

### toIdArray

    public static java.lang.Object[] toIdArray(java.util.Collection<? extends HObject> objects)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD